Bug 624205 - Review Request: meego-help - MeeGo documentation and help.
Review Request: meego-help - MeeGo documentation and help.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo12
  Show dependency treegraph
 
Reported: 2010-08-14 07:59 EDT by Peter Robinson
Modified: 2011-04-06 18:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-06 18:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Comment 1 Matthias Runge 2010-08-14 16:15:26 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: i686
[x]  Rpmlint output:
meego-help.src:3: W: macro-in-comment %{version}
meego-help.src:3: W: macro-in-comment %{version}
meego-help.src:3: W: macro-in-comment %{name}
meego-help.src:3: W: macro-in-comment %{version}
meego-help.src: W: no-buildroot-tag
meego-help.src: W: invalid-url Source0: meego-help-0.0.3.tar.bz2
meego-help.i686: E: zero-length /usr/share/doc/meego-help-0.0.3/README
meego-help.i686: W: no-manual-page-for-binary meego-help
3 packages and 0 specfiles checked; 1 errors, 7 warnings.

[x]  Package is not relocatable.
[-]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 1bd78a56a7785c7ddad4f7598220afc7
MD5SUM upstream package: 1bd78a56a7785c7ddad4f7598220afc7
[x]  Package is not known to require ExcludeArch, 
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[?]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[x]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2401853
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: koji http://koji.fedoraproject.org/koji/taskinfo?taskID=2401853
[?]  Package functions as described.
[x]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.


Two remaining issues:
%global preferred over %define. You could substitute %define with %global
This is a minor.

Calling meego-help returns
meego-help 
Cannot get current online state: The name org.moblin.connman was not provided by any .service files

Nothing more happens. Is this intended? Do I need something more?
Comment 2 Matthias Runge 2010-10-14 14:01:43 EDT
ping Peter?

Note You need to log in before you can comment on or make changes to this bug.